curl --request PUT \
--url https://api.example.com/api/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "John",
"lastName": "Doe"
}
'{
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"type": "invited",
"status": "active",
"organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastProjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"owner": true,
"isService": true
}
}Update current user profile.
curl --request PUT \
--url https://api.example.com/api/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "John",
"lastName": "Doe"
}
'{
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"type": "invited",
"status": "active",
"organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastProjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"owner": true,
"isService": true
}
}Documentation Index
Fetch the complete documentation index at: https://docs.gorules.io/llms.txt
Use this file to discover all available pages before exploring further.
Personal access token is obtained through your profile
Successfully updated user profile
Successfully updated user profile
Updated user profile information
Show child attributes
Was this page helpful?